JobHistory.RecordTypes (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum JobHistory.RecordTypes

    java.lang.Object
      java.lang.Enum<JobHistory.RecordTypes>
          org.apache.hadoop.mapred.JobHistory.RecordTypes

All Implemented Interfaces:
  Serializable, Comparable<JobHistory.RecordTypes>

Enclosing class:
  JobHistory

    public static enum JobHistory.RecordTypes

extends Enum<JobHistory.RecordTypes>

Record types are identifiers for each line of log in history files. A record type appears as the first token in a single line of log.

Enum Constant Summary
`Job`
`Jobtracker`
`MapAttempt`
`Meta`
`ReduceAttempt`
`Task`

Method Summary
`static JobHistory.RecordTypes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobHistory.RecordTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Jobtracker

    public static final JobHistory.RecordTypes Jobtracker

### Job

    public static final JobHistory.RecordTypes Job

### Task

    public static final JobHistory.RecordTypes Task

### MapAttempt

    public static final JobHistory.RecordTypes MapAttempt

### ReduceAttempt

    public static final JobHistory.RecordTypes ReduceAttempt

### Meta

    public static final JobHistory.RecordTypes Meta

Method Detail

### values

    public static JobHistory.RecordTypes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JobHistory.RecordTypes c : JobHistory.RecordTypes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JobHistory.RecordTypes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation